### Method

# Gio Resolver lookup_records_async

since: 2.34

#### Declaration

    void
    g_resolver_lookup_records_async (
      GResolver* resolver,
      const gchar* rrname,
      GResolverRecordType record_type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Begins asynchronously performing a DNS lookup for the given `rrname`, and eventually calls `callback`, which must call `g_resolver_lookup_records_finish()` to get the final result. See `g_resolver_lookup_records()` for more details.

Available since: 2.34

#### Parameters

`rrname`

  Type: `const gchar*`

  The DNS name to look up the record for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`record_type`

  Type: `GResolverRecordType`

  The type of DNS record to look up.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call after resolution completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.